Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class SelectionResults

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.SelectionResults

Deprecated

    @Deprecated
    public class SelectionResults

extends Object

Field Summary
`static String` | `cName` Deprecated

Constructor Summary
`SelectionResults(List qualifiers, List targets, DiscountModifier modifier)` Deprecated

Method Summary
`DiscountModifier` | `getModifier()` Deprecated
`List` | `getQualifiers()` Deprecated
`List` | `getTargets()` Deprecated
`String` | `toString()` Deprecated
`void` | `validate()` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### SelectionResults

    public SelectionResults(List qualifiers,
                            List targets,
                            DiscountModifier modifier)

  Deprecated

Method Detail

### validate

    public void validate()

  Deprecated

### getQualifiers

    public List getQualifiers()

  Deprecated

### getTargets

    public List getTargets()

  Deprecated

### getModifier

    public DiscountModifier getModifier()

  Deprecated

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.